Skip to main content
GET
Retrieve the token obtained by an MCP OAuth login

Path Parameters

flowID
string
required

The flow id returned by the authorize endpoint

Response

OK

access_token
string

AccessToken is the OAuth access token.

authorization_header
string

AuthorizationHeader is the full " " value to set as HEADER_AUTHORIZATION on the connection.

Example:

"Bearer eyJ..."

client_id
string

ClientID is the OAuth client id used (relevant when registered dynamically).

expires_in
integer

ExpiresIn is the access token lifetime in seconds, when known.

Example:

3600

refresh_token
string

RefreshToken is the OAuth refresh token, when the provider returned one.

server_url
string

ServerURL echoes the authorized MCP endpoint.

Example:

"https://mcp.figma.com/mcp"

token_type
string

TokenType is the OAuth token type (typically "Bearer").

Example:

"Bearer"